Get a staff member

​

Path Parameters

  • Staff member id.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/staff-members/{id}
curl https://api.weddingoperatingsystems.com/api/v1/staff-members/123e4567-e89b-12d3-a456-426614174000 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "fullName": null,
    "firstName": null,
    "lastName": null,
    "preferredName": null,
    "status": "active",
    "email": null,
    "phone": null,
    "pronouns": null,
    "basePay": null,
    "offPeakBasePay": null,
    "street1": null,
    "street2": null,
    "city": null,
    "stateRegion": null,
    "postalCode": null,
    "country": null,
    "dietaryRestrictions": null,
    "notes": null,
    "createdTime": "2026-09-30T06:22:05.745Z",
    "lastEditedTime": "2026-09-30T06:22:05.745Z"
  }
}